package ru.yandex.webmaster3.core.http.filter;

import ru.yandex.webmaster3.core.data.WebmasterHostId;
import ru.yandex.webmaster3.core.http.ActionResponse;

/**
 * @author avhaliullin
 */
public interface HostIsVerifiedByUserFilterResponse extends ActionResponse.ErrorResponse {
    class HostNotAdded extends UserHostErrors.HostNotAddedResponse implements HostIsVerifiedByUserFilterResponse {
        public HostNotAdded(Class<?> clazz, WebmasterHostId hostId) {
            super(clazz, hostId);
        }
    }

    class HostNotVerified extends UserHostErrors.HostNotVerifiedResponse implements HostIsVerifiedByUserFilterResponse {
        public HostNotVerified(Class<?> clazz, WebmasterHostId hostId) {
            super(clazz, hostId);
        }
    }
}
